
<input type="text" class="form-control" [(ngModel)]="username" style="margin-bottom: 1rem;">
<button (click)="onUserNameReset()" [disabled]="!canResetUserName()" class="btn btn-primary" >Reset Username</button>

<div style="margin-top: 1rem;">
    <label>Selected Username: </label>
    <p>{{ username }}</p>
</div>

